
Foreman - Bug #16211

Audit auto-complete is failed when searching by host

08/21/2016 08:39 AM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Search   

Target version: 1.12.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3753

  

Description

Reproduce:

In audit search-bar (e.g: user < email preferences < audit query builder)  type `host = `

the auto-complete will failed with NoMethodError:

2016-08-21T15:21:54 5455fa1c [app] [F] 

 | NoMethodError (undefined method `scoped' for #<Class:0x0000000ced5b50>):

 |   app/models/host.rb:15:in `method_missing'

 |   app/controllers/concerns/foreman/controller/auto_complete_search.rb:13:in `auto_complete_sear

ch'

 |   app/controllers/concerns/application_shared.rb:14:in `set_timezone'

 |   app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 |   lib/middleware/catch_json_parse_errors.rb:9:in `call'

 |   lib/middleware/tagged_logging.rb:18:in `call'

Associated revisions

Revision 6ee0d886 - 08/26/2016 10:37 AM - Amir Fefer

Fixes #16211 - show host autocomplete in audit search

Revision 2b702292 - 09/19/2016 11:59 AM - Amir Fefer

Fixes #16211 - show host autocomplete in audit search

(cherry picked from commit 6ee0d88682dc290e1a6a3aa9671855af6ac2f82f)

History

#1 - 08/21/2016 08:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3753 added

#2 - 08/23/2016 10:02 AM - Daniel Lobato Garcia

- Target version set to 1.6.2

#3 - 08/26/2016 11:02 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6ee0d88682dc290e1a6a3aa9671855af6ac2f82f.

#4 - 08/30/2016 02:54 AM - Dominic Cleal

- Category set to Search
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6ee0d88682dc290e1a6a3aa9671855af6ac2f82f


- translation missing: en.field_release set to 181
